Package it.ernytech.tdlib

## Class TdApi.PublicMessageLink

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.PublicMessageLink

Enclosing class:
  TdApi

    public static class TdApi.PublicMessageLink
    extends TdApi.Object

Contains a public HTTPS link to a message in a public supergroup or channel.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `html` HTML-code for embedding the message.
`java.lang.String` `link` Message link.

### Constructor Summary

Constructors
`PublicMessageLink()` Default constructor.
`PublicMessageLink​(java.lang.String link, java.lang.String html)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### link

    public java.lang.String link

Message link.

#### html

    public java.lang.String html

HTML-code for embedding the message.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### PublicMessageLink

    public PublicMessageLink()

Default constructor.

#### PublicMessageLink

    public PublicMessageLink​(java.lang.String link,
                             java.lang.String html)

Constructor for initialization of all fields.

Parameters:
  `link` - Message link.
  `html` - HTML-code for embedding the message.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR